--@description MaxMusiMax; Razor Edit; Fast Mode
--@version 1.0
-- https://rmmedia.ru/threads/117419/post-2895622
--@author MaxMusiMax
-- Razor Edit - Fast Mode in REAPER [REAPER Mania] — https://www.youtube.com/watch?v=HEVKLiWkRkk
-- #######################################
-- #######################################
function print_rs (param)
	reaper.ShowConsoleMsg (tostring (param) .. "\n");
end
-- #######################################
-- #######################################
reaper.PreventUIRefresh(1);
-- #######################################
-- #######################################
-- print_rs (track)
--[[
]]--
-- #######################################
-- #######################################
function SetButtonON()
	is_new_value, filename, sec, cmd, mode, resolution, val = reaper.get_action_context()
	state = reaper.GetToggleCommandStateEx( sec, cmd )
	reaper.SetToggleCommandState( sec, cmd, 1 ) -- Set ON
	reaper.RefreshToolbar2( sec, cmd )
end

function SetButtonOFF()
	is_new_value, filename, sec, cmd, mode, resolution, val = reaper.get_action_context()
	state = reaper.GetToggleCommandStateEx( sec, cmd )
	reaper.SetToggleCommandState( sec, cmd, 0 ) -- Set OFF
	reaper.RefreshToolbar2( sec, cmd )
end

is_new_value, filename, sec, cmd, mode, resolution, val = reaper.get_action_context()
state = reaper.GetToggleCommandStateEx( sec, cmd )

if state == 1 then
	reaper.Main_OnCommand(39201, 0) -- Set default mouse modifier action for "Track left drag" to "Marquee select items"
	reaper.Main_OnCommand(39513, 0) -- Set default mouse modifier action for "Media item left click" to "Select item and move edit cursor" (factory default)
	reaper.Main_OnCommand(39001, 0) -- Set default mouse modifier action for "Media item left drag" to "Move item"
	reaper.Main_OnCommand(39033, 0) -- Set default mouse modifier action for "Media item bottom half left drag" to "Move item"
	
	SetButtonOFF()
else
	reaper.Main_OnCommand(27030, 0) -- Set default mouse modifier action for "Media item left drag" to "Select razor edit area"
	reaper.Main_OnCommand(39217, 0) -- Set default mouse modifier action for "Track left drag" to "Select razor edit area"
	reaper.Main_OnCommand(27062, 0) -- Set default mouse modifier action for "Media item bottom half left drag" to "Select razor edit area"
	
	SetButtonON()
end
-- #######################################
-- #######################################
reaper.PreventUIRefresh(-1);
reaper.TrackList_AdjustWindows(0)  -- Updates the window view
reaper.UpdateArrange();  -- Updates the window view